Summary: A gtk+/ncurses audio mixer.
Name: aumix
Version: 2.6.1
Release: 1
Group: Applications/Multimedia
Copyright: GPL
URL: http://www.jpj.net/~trevor/aumix.html
Vendor: Trevor Johnson <trevor@jpj.net>
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.jpj.net/~trevor/aumix/aumix-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
This program adjusts an audio mixer from X, the console, a terminal,
the command line or a script.

%prep
%setup -q


%build
CFLAGS=$RPM_OPT_FLAGS LDFLAGS="-s" ./configure --prefix=/usr --sysconfdir=/etc \
	--without-alsa \
	--disable-nls
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Below is to address the stupidness of initscripts-5.00-1 (and possibly
# earlier versions as well) which invented and hard-wired 
# /bin/aumix-minimal and /etc/.aumixrc
# in /etc/rc.d/rc.sysinit and /etc/rc.d/init.d/halt
mkdir $RPM_BUILD_ROOT/{bin,etc}
ln -s ../usr/bin/aumix $RPM_BUILD_ROOT/bin/aumix-minimal
touch $RPM_BUILD_ROOT/etc/.aumixrc


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
%ghost /etc/.aumixrc
/bin/aumix-minimal
/usr/bin/*
/usr/man/man*/*
/usr/share/aumix


%clean
rm -rf $RPM_BUILD_ROOT
